%define ghc_ver %(ghc --numeric-version)
%define pkg_name %(echo %name | sed "s|^ghc-||")

Name:          ghc-JuicyPixels
Version:       3.3.8
Release:       1mamba
Summary:       GHC library: Picture loading/serialization
Group:         Development/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://hackage.haskell.org/package/%{pkg_name}
Source:        http://hackage.haskell.org/package/JuicyPixels-%{version}/JuicyPixels-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: ghc-libs
BuildRequires: ghc-primitive-devel
BuildRequires: ghc-vector-devel
BuildRequires: ghc-vector-stream-devel
BuildRequires: ghc-zlib-devel
BuildRequires: glibc-devel
BuildRequires: libgmp-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: ghc
Requires:      ghc = %{ghc_ver}

%description
This library can load and store images in PNG, Bitmap, Jpeg, Radiance, Tiff and Gif images.

%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Provides:       %{name}-static%{?_isa} = %{version}-%{release}
%if %{defined ghc_version}
Requires:       ghc = %{ghc_version}
%endif
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%if %{with haddock}
%package doc
Summary:        Haskell %{pkg_name} library documentation
Requires:       ghc-filesystem

%description doc
This package provides the Haskell %{pkg_name} library documentation.
%endif

%prep
%setup -q -n JuicyPixels-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

rm -f %{buildroot}%{_ghclicensedir}/%{name}/LICENSE

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.files
%defattr(-,root,root)
%license LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root)
#%doc CHANGELOG.markdown README.markdown

%if %{with haddock}
%files doc -f %{name}-doc.files
%defattr(-,root,root)
%license LICENSE
%endif

%changelog
* Sat Dec 02 2023 Automatic Build System <autodist@mambasoft.it> 3.3.8-1mamba
- automatic version update by autodist

* Sun Apr 12 2015 Davide Madrisan <davide.madrisan@gmail.com> 3.2.3.1-1mamba
- package created by autospec
